Subject: Re: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Apr 2023 16:19:56 +0300

> From: [email-masked]
> Date: Sat, 08 Apr 2023 10:58:36 +0000 (UTC)
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> >
> > If this is for master, I'm fine with such changes.  But if you intend
> > to request installing this on emacs-29, then I will object making
> > non-trivial changes in any code that is not specific to the M-<UP> and
> > M-<DOWN> bindings that are new in Emacs 29.  I don't want to risk any
> > regressions in general-purpose completion code at this late stage.
> 
> OK, that's no problem, this can be done by just let-binding
> completion-base-affixes in minibuffer-{previous,next,choose}-completion
> so that it only affects new code.

Thanks.

> That will be a bit uglier to read so I'll do that if this approach
> seems reasonable with some review.

We can install the cleaner change on master, and the "uglier" one only
on the release branch.